SDML(1)

NAME
sdml highlight - Syntax highlight a module source.

SYNOPSIS
sdml highlight [OPTIONS] [MODULE]

DESCRIPTION
Syntax highlight a module source.

This

- Ansi (default) ::

- Html ::

  Arguments:

    [MODULE]

    SDML module, loaded using the standard resolver

OPTIONS

-f, --output-format <OUTPUT_FORMAT>

    [default: ansi]

    Possible values: - ansi: ANSI escape for console - html: HTML pre-formatted element - html-standalone: HTML stand-alone document

-o, --output <OUTPUT>

    File name to write to, or '-' to write to stdout

    [default: -]

-i, --input <INPUT>

    Input SDML file name to read from, or '-' to read from stdin

    [default: -]

-h, --help

    Print help (see a summary with '-h')

-V, --version

    Print version